<?php
include("cp_header.php"); /**************************************************صفحة تعديل الشركاء*******************************************************************/


//منع الانجكشن
if(!isset($_GET['id']) || !is_numeric($_GET['id'])){
	
die("الصفحة غير موجودة");		
}	

//تجنب اضافة سجل فى حالة اعادة تحميل الصفحة

//ضمان عدم الاضافة مرتين
if(!isset($RequestSignature)){
$RequestSignature = md5($_SERVER['REQUEST_URI'].$_SERVER['QUERY_STRING'].print_r($_POST, true));
}

/*  اسم الجدول وبداية الكويرى */  
$table="partners";
$extensionx='' ;
$filex='';
$img_id='';
?>
<div id="cp_cont">
<div id="show_user_details"></div>
	

<?php
///تجنب اضافة سجل فى حالة اعادة تحميل الصفحة

if (isset($_SESSION['LastRequest']) && $_SESSION['LastRequest'] == $RequestSignature)
{
goto error;
}
else
{
$_SESSION['LastRequest'] = $RequestSignature;
}


//فى حالة السبمت
if (isset($_POST['submit']) && $_POST['token_sec']==$_SESSION['token']  ) {
if (isset($_FILES['image'])){
//مسار رفع الصورة
$src='../img/'.$table.'/';

$sort_num=1;if(is_numeric($fetch['sort_num'])){$sort_num=$fetch['sort_num'];}


//استدعاء ملف رفع الصور
include("upload_image.php");
if ($image_error=='1'){
goto err1;	
}

//فى حالة رفع الصورة
if ($image) {
	

//استدعاء ملف تعديل مقاسات الصور
include('SimpleImage.php');

//استدعاء ملف وضع العلامة المائية على الصور
include('water_mark.php');
  
   
   
	   $image = new SimpleImage();
	   $image->load($src.'img_'.$img_id.'.'.$extension);
	   
		
	   
//تحجيم الصورة
$image->resizeToHeight(150);
	   $image->save($src.'img_'.$img_id.'.jpg');
	   $image->resize(20,20);
	   $image->save($src.'img_'.$img_id.'_tiny.jpg');
   


   
   
   //وضع العلامة المائية على الصور فى حالة تفعيل الاختيار
   if(isset($_POST['water_mark'])){ WaterMark($src.'img_'.$img_id.'.png'); }	

}else{
err1:	

}
   


}

//وضع الفورم فى متغيرات
$title=str_replace("'","\'",$_POST['title']);
$modified=date('Y-m-d H:i:s');
if($img_num==''){$img_num=$_POST['images'];}
$website=$_POST['website'];
$email=$_POST['email'];
$mobile=$_POST['mobile'];

$active;
$priority;
if(isset($_POST['priority'])){
$priority='1';
}else{
$priority='0';	
}

if(isset($_POST['active'])){
$active='1';
}else{
$active='0';	
}


$image=$sort_num.".".$extensionx;
$q="update $table set images='$img_id' , title='$title'  ,website='$website' ,mobile='$mobile' ,email='$email' , active='$active' where id=".$_GET['id'];

//بداية الاستعلام
$query= mysqli_prepare(

 

			$conn,

			"Update `$table` 
			set  `images`=? , `title`=?  ,`website`=? ,`mobile`=? ,`email`=? , `modified`=?,`user_modified`=? ,`active`=?
			Where id= ? "
	);

		
	
	//نهيئة المتغيرات وحمايتها من الحقن
	mysqli_stmt_bind_param($query,'sssisssii',
			
		 $img_id,$title,$website,$mobile,$email,$modified,$_SESSION[$domain."_user"],$active,$_GET['id']

	);


			
	//تنفيذ الاستعلام وتخزين حالته
	$execute_status=mysqli_stmt_execute($query);
				 
	//فى حالة وجود اخطاء فى الاتصال بقاعدة البيانات
	if(mysqli_error($conn)!=''){

				 $error_database_arr['err']=mysqli_error($conn);

				 $error_database_arr['err_num']= mysqli_errno($conn);

				 $error_database_arr['error_stmt']= mysqli_stmt_error($query);

			 }
	
	//عدد السجلات التى تم تنفيذها
	$affected_rows=mysqli_affected_rows($conn);

//فى حالة نجاح الاستعلام
if($execute_status==1){
echo "<div class='true'>تم رفع الوصف</div>";
goto endall;
}else{
err:	
echo "<div class='false'>لم يتم رفع الوصف</div>";  
 
  		
}

unset($_POST['submit']);


}

error:


//بداية الاستعلام
$query="select * from $table where id=".$_GET['id'];
//تنفيذ الاستعلام
$result=mysqli_query($conn,$query);
$fetch=mysqli_fetch_array($result);
	$fetch=clean_array($fetch);
$sort_num=$fetch[0];	


?>	
	
	
	
	
<div id="cp_title"> تعديل شركاء النجاح
<a  href="view_<?php echo $table; ?>.php?search=" style='background:url(../img/table.png);float:left;margin:10px 0px 5px 20px;color:var(--white);width:20px;height:20px;'></a>	
		
</div>
<div id="cp_body">

<form id="app_form" enctype="multipart/form-data"   method="post" action="<?php echo $_SERVER['PHP_SELF'].'?id='.$_GET['id'] ; ?>">
<div class="cp_word_body">

<div class="cp_login_row" style="float:right;">
<div class="cp_title"><span style="color:red">*</span>اسم الجهة</div>
<div class="cp_field">
<input class="<?php  if($_SESSION['lang_ar']==1){echo 'required'; } ?>" alt="1"  name="title" type="text" value="<?php echo $fetch['title'] ?>" />
<div class="field_val " ></div>
</div>
</div>



<div class="cp_login_row" style="float:right;width:98%">
<div class="cp_title">الموقع الالكترونى</div>
<div class="cp_field">
<input class="website " alt="1"  name="website" type="url" value="<?php echo $fetch['website'] ?>" />
<div class="field_val " ></div>
</div>
</div>

<div class="cp_login_row" style="float:right;width:98%">
<div class="cp_title">البريد الإلكترونى</div>

<div class="cp_field">
<input class="website " alt="1"  name="email" type="email" value="<?php echo $fetch['email'] ?>" />
<div class="field_val " ></div>
</div>
</div>


<div class="cp_login_row" style="float:right;width:98%">
<div class="cp_title">الجوال</div>

<div class="cp_field">
<input class="numeric " alt="1"  name="mobile" type="number" value="<?php echo $fetch['mobile'] ?>" />
<div class="field_val " ></div>
</div>
</div>

<div class="cp_login_row">
<div class="cp_title"> الصورة الرئيسية </div>
<div class="cp_fielda">
<div class="wrapper"></div>	
<input num="1" class='browse ' alt="4"  name="image" type="file" accept="image/png" />
<img loading='lazy' id="browse_img1" src= "../img/<?php echo $table;  ?>/img_<?php echo $fetch['images'] ?>_tiny.webp?time=<?php echo time() ;?>" style="float:left;width:80px;height:40px;border:solid 1px #888;margin-left:50%;background:url(../img/small_loading.gif) no-repeat center center #fff"/>
<div class="field_val no_margin "></div>

<input id='images' name='images' value="<?php echo $fetch['images'] ?>"/>
</div>
</div>



<div class="cp_login_row" >
<div class="cp_title">النشر</div>
<div class="cp_field">
<input alt="1" id="active" name="active" type="checkbox"  
<?php if($fetch['active']=='1'){ echo "checked='checked'" ;} ?>
/>	
</div>
</div>

<div class="cp_login_row" >
<div class="cp_title">الاولوية</div>
<div class="cp_field">
<input alt="1" id="active" name="priority" type="checkbox"  
<?php if($fetch['priority']=='1'){ echo "checked='checked'" ;} ?>
/>	
</div>
</div>


</div>	
</div>

<div class="cp_login_row">
<div class="cp_submit"><input id="submit" name="submit" value="تعديل"  title="دخول" type="submit"></div>
</div>
</div>
<input type="hidden" name="token_sec"  value='<?php echo $_SESSION['token']; ?>'> </form>

</div>
</div>

<?php 
//تحميل الفوتر
include("cp_footer.php"); ?>

<?php 
exit();

endall:
echo "<a class='true' href='view_$table.php?search='> الانتقال لصفحة شركاء النجاح  </a>";
?>
<script type="text/javascript">
$(function(){

//الانتقال التلقائى لصفحة العرض
setTimeout(function() {
  window.location.href = "view_<?php echo $table ; ?>.php?search=";
}, 5000);


});
</script>



